package test;

import java.io.*;
import java.sql.*;

import com.opensymphony.xwork.*;

public class AddAction extends ActionSupport {
    public String execute() {
        try {
            if(WebworkUsers.getInstance().getPassword(username) != null) {
                addActionError("Username already exists");
                return "data.ok";
            }
            WebworkUsers.getInstance().addUser(username, password, fullname);
            return "data.ok";
        } catch (ClassNotFoundException ex) {
            addActionError("A database error happend - try again and contact admin if it fails again.");
            return "data.error";
        } catch (SQLException ex) {
            addActionError("A database error happend - try again and contact admin if it fails again.");
            return "data.error";
        }
    }
    private String fullname;
    private String username;
    private String password;
    private String repeatpassword;
    public String getFullname() {
        return fullname;
    }
    public String getUsername() {
        return username;
    }
    public String getPassword() {
        return password;
    }
    public String getRepeatpassword() {
        return repeatpassword;
    }
    public void setFullname(String fullname) {
        this.fullname = fullname;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public void setPassword(String password) {
        this.password = password;
    }
    public void setRepeatpassword(String repeatpassword) {
        this.repeatpassword = repeatpassword;
    }
    public void validate() {
        if((username == null) || (username.trim().equals(""))) {
            addFieldError("username", "No username specified.");
        }
        if((password == null) || (password.trim().equals(""))) {
            addFieldError("password", "No password specified.");
        }
        if((repeatpassword == null) || (repeatpassword.trim().equals(""))) {
            addFieldError("repeatpassword", "No repeat password specified.");
        } else if(!repeatpassword.equals(password)) {
            addActionError("Pasword not repeated correct.");
        }
    }
}